Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.netlib.lapack
Class SLARRJ

    java.lang.Object
      org.netlib.lapack.SLARRJ

    public class SLARRJ

extends java.lang.Object

    SLARRJ is a simplified interface to the JLAPACK routine slarrj.
    This interface converts Java-style 2D row-major arrays into
    the 1D column-major linearized arrays expected by the lower
    level JLAPACK routines.  Using this interface also allows you
    to omit offset and leading dimension arguments.  However, because
    of these conversions, these routines will be slower than the low
    level ones.  Following is the description from the original Fortran
    source.  Contact seymour@cs.utk.edu with any questions.

     *     ..
     *
     *  Purpose
     *  =======
     *
     *  Given the initial eigenvalue approximations of T, SLARRJ
     *  does  bisection to refine the eigenvalues of T,
     *  W( IFIRST-OFFSET ) through W( ILAST-OFFSET ), to more accuracy. Initi
     *  guesses for these eigenvalues are input in W, the corresponding estim
     *  of the error in these guesses in WERR. During bisection, intervals
     *  [left, right] are maintained by storing their mid-points and
     *  semi-widths in the arrays W and WERR respectively.
     *
     *  Arguments
     *  =========
     *
     *  N       (input) INTEGER
     *          The order of the matrix.
     *
     *  D       (input) REAL             array, dimension (N)
     *          The N diagonal elements of T.
     *
     *  E2      (input) REAL             array, dimension (N-1)
     *          The Squares of the (N-1) subdiagonal elements of T.
     *
     *  IFIRST  (input) INTEGER
     *          The index of the first eigenvalue to be computed.
     *
     *  ILAST   (input) INTEGER
     *          The index of the last eigenvalue to be computed.
     *
     *  RTOL   (input) REAL
     *          Tolerance for the convergence of the bisection intervals.
     *          An interval [LEFT,RIGHT] has converged if
     *          RIGHT-LEFT.LT.RTOL*MAX(|LEFT|,|RIGHT|).
     *
     *  OFFSET  (input) INTEGER
     *          Offset for the arrays W and WERR, i.e., the IFIRST-OFFSET
     *          through ILAST-OFFSET elements of these arrays are to be used.
     *
     *  W       (input/output) REAL             array, dimension (N)
     *          On input, W( IFIRST-OFFSET ) through W( ILAST-OFFSET ) are
     *          estimates of the eigenvalues of L D L^T indexed IFIRST throug
     *          ILAST.
     *          On output, these estimates are refined.
     *
     *  WERR    (input/output) REAL             array, dimension (N)
     *          On input, WERR( IFIRST-OFFSET ) through WERR( ILAST-OFFSET )
     *          the errors in the estimates of the corresponding elements in
     *          On output, these errors are refined.
     *
     *  WORK    (workspace) REAL             array, dimension (2*N)
     *          Workspace.
     *
     *  IWORK   (workspace) INTEGER array, dimension (2*N)
     *          Workspace.
     *
     *  PIVMIN  (input) DOUBLE PRECISION
     *          The minimum pivot in the Sturm sequence for T.
     *
     *  SPDIAM  (input) DOUBLE PRECISION
     *          The spectral diameter of T.
     *
     *  INFO    (output) INTEGER
     *          Error flag.
     *
     *  Further Details
     *  ===============
     *
     *  Based on contributions by
     *     Beresford Parlett, University of California, Berkeley, USA
     *     Jim Demmel, University of California, Berkeley, USA
     *     Inderjit Dhillon, University of Texas, Austin, USA
     *     Osni Marques, LBNL/NERSC, USA
     *     Christof Voemel, University of California, Berkeley, USA
     *
     *  =====================================================================
     *
     *     .. Parameters ..

Constructor Summary
`SLARRJ()`

Method Summary
`static void` | `SLARRJ(int n, float[] d, float[] e2, int ifirst, int ilast, float rtol, int offset, float[] w, float[] werr, float[] work, int[] iwork, float pivmin, float spdiam, intW info)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SLARRJ

    public SLARRJ()

Method Detail

### SLARRJ

    public static void SLARRJ(int n,
                              float[] d,
                              float[] e2,
                              int ifirst,
                              int ilast,
                              float rtol,
                              int offset,
                              float[] w,
                              float[] werr,
                              float[] work,
                              int[] iwork,
                              float pivmin,
                              float spdiam,
                              intW info)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD